Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.common.decorator
Class FairSelectorProbabilityWeightFactory

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.common.decorator.FairSelectorProbabilityWeightFactory

All Implemented Interfaces:
  SelectionProbabilityWeightFactory<IterableSelector>

    public class FairSelectorProbabilityWeightFactory

extends Object
implements SelectionProbabilityWeightFactory<IterableSelector>

Constructor Summary
`FairSelectorProbabilityWeightFactory()`

Method Summary
`double` | `createProbabilityWeight(ScoreDirector scoreDirector, IterableSelector selector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FairSelectorProbabilityWeightFactory

    public FairSelectorProbabilityWeightFactory()

Method Detail

### createProbabilityWeight

    public double createProbabilityWeight(ScoreDirector scoreDirector,
                                          IterableSelector selector)

  Specified by:
    `createProbabilityWeight` in interface `SelectionProbabilityWeightFactory<IterableSelector>`
  Parameters:
    `scoreDirector` - never null, the `ScoreDirector` which has the `ScoreDirector.getWorkingSolution()` to which the selection belongs or applies to
    `selector` - never null, a `PlanningEntity`, a planningValue, a `Move` or a `Selector` to create the probabilityWeight for
  Returns:
    0.0 <= returnValue < `Double.POSITIVE_INFINITY`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.